Skip to main content

Documentation Index

Fetch the complete documentation index at: https://zarna.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Overview

The Notes API provides endpoints for creating and managing notes associated with companies, contacts, and deals. Base Path: /api/notes

Endpoints

Create Note

POST /api/notes
Request Body:
{
  "company_id": "550e8400-e29b-41d4-a716-446655440000",
  "content": "Great conversation about partnership opportunities...",
  "tags": ["partnership", "follow-up"],
  "is_pinned": false
}
Response (201 Created):
{
  "id": "ll0e8400-e29b-41d4-a716-446655446666",
  "company_id": "550e8400-e29b-41d4-a716-446655440000",
  "content": "Great conversation...",
  "tags": ["partnership", "follow-up"],
  "created_by": "user-uuid",
  "created_at": "2024-01-22T14:30:00Z"
}

List Notes

GET /api/notes?company_id={company_id}

Search Notes

GET /api/notes/search?q={query}

Next Steps

Companies API

Company management

Interactions API

Track interactions